org.apache.jmeter.report.dashboard

## Class SamplingStatistic

- java.lang.Object
- - org.apache.jmeter.report.dashboard.SamplingStatistic

    public class SamplingStatistic
    extends Object

Statistics about a Transaction (Sampler or TransactionController)

Since:
  5.1

### Constructor Summary

Constructors
Constructor and Description
`SamplingStatistic()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getErrorCount()`
`float` `getErrorPct()`
`double` `getMaxResTime()`
`double` `getMeanResTime()`
`double` `getMedianResTime()`
`double` `getMinResTime()`
`double` `getPct1ResTime()`
`double` `getPct2ResTime()`
`double` `getPct3ResTime()`
`double` `getReceivedKBytesPerSec()`
`long` `getSampleCount()`
`double` `getSentKBytesPerSec()`
`double` `getThroughput()`
`String` `getTransaction()`
`void` `setErrorCount(long errorCount)`
`void` `setErrorPct(float errorPct)`
`void` `setMaxResTime(double maxResTime)`
`void` `setMeanResTime(double meanResTime)`
`void` `setMedianResTime(double medianResTime)`
`void` `setMinResTime(double minResTime)`
`void` `setPct1ResTime(double pct1ResTime)`
`void` `setPct2ResTime(double pct2ResTime)`
`void` `setPct3ResTime(double pct3ResTime)`
`void` `setReceivedKBytesPerSec(double receivedKBytesPerSec)`
`void` `setSampleCount(long sampleCount)`
`void` `setSentKBytesPerSec(double sentKBytesPerSec)`
`void` `setThroughput(double throughput)`
`void` `setTransaction(String transaction)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SamplingStatistic

    public SamplingStatistic()

### Method Detail

#### getTransaction

    public String getTransaction()

Returns:
  the transaction

#### setTransaction

    public void setTransaction(String transaction)

Parameters:
  `transaction` - the transaction to set

#### getSampleCount

    public long getSampleCount()

Returns:
  the sampleCount

#### setSampleCount

    public void setSampleCount(long sampleCount)

Parameters:
  `sampleCount` - the sampleCount to set

#### getErrorCount

    public long getErrorCount()

Returns:
  the errorCount

#### setErrorCount

    public void setErrorCount(long errorCount)

Parameters:
  `errorCount` - the errorCount to set

#### getErrorPct

    public float getErrorPct()

Returns:
  the errorPct

#### setErrorPct

    public void setErrorPct(float errorPct)

Parameters:
  `errorPct` - the errorPct to set

#### getMeanResTime

    public double getMeanResTime()

Returns:
  the meanResTime

#### setMeanResTime

    public void setMeanResTime(double meanResTime)

Parameters:
  `meanResTime` - the meanResTime to set

#### getMedianResTime

    public double getMedianResTime()

Returns:
  medianResTime

#### setMedianResTime

    public void setMedianResTime(double medianResTime)

Parameters:
  `medianResTime` - the meanResTime to set

#### getMinResTime

    public double getMinResTime()

Returns:
  the minResTime

#### setMinResTime

    public void setMinResTime(double minResTime)

Parameters:
  `minResTime` - the minResTime to set

#### getMaxResTime

    public double getMaxResTime()

Returns:
  the maxResTime

#### setMaxResTime

    public void setMaxResTime(double maxResTime)

Parameters:
  `maxResTime` - the maxResTime to set

#### getPct1ResTime

    public double getPct1ResTime()

Returns:
  the pct1ResTime

#### setPct1ResTime

    public void setPct1ResTime(double pct1ResTime)

Parameters:
  `pct1ResTime` - the pct1ResTime to set

#### getPct2ResTime

    public double getPct2ResTime()

Returns:
  the pct2ResTime

#### setPct2ResTime

    public void setPct2ResTime(double pct2ResTime)

Parameters:
  `pct2ResTime` - the pct2ResTime to set

#### getPct3ResTime

    public double getPct3ResTime()

Returns:
  the pct3ResTime

#### setPct3ResTime

    public void setPct3ResTime(double pct3ResTime)

Parameters:
  `pct3ResTime` - the pct3ResTime to set

#### getThroughput

    public double getThroughput()

Returns:
  the throughput

#### setThroughput

    public void setThroughput(double throughput)

Parameters:
  `throughput` - the throughput to set

#### getReceivedKBytesPerSec

    public double getReceivedKBytesPerSec()

Returns:
  the receivedKBytesPerSec

#### setReceivedKBytesPerSec

    public void setReceivedKBytesPerSec(double receivedKBytesPerSec)

Parameters:
  `receivedKBytesPerSec` - the receivedKBytesPerSec to set

#### getSentKBytesPerSec

    public double getSentKBytesPerSec()

Returns:
  the sentKBytesPerSec

#### setSentKBytesPerSec

    public void setSentKBytesPerSec(double sentKBytesPerSec)

Parameters:
  `sentKBytesPerSec` - the sentKBytesPerSec to set